import os

index = open("index.html", "w")
index.write("""
<html>
<head>
<meta charset="utf-8">
<style>
    div.dir {
        padding-left: 1em;
    }
    p {
        margin: 0
    }
    p.dir {
        font-weight: bold;
        margin-top: 6px;
    }
</style>
</head>

<body>
""")

viewer = "https://nbviewer.jupyter.org/url/"

def traverse(path, url, indent):
    for fname in sorted(os.listdir(path)):
        if fname.startswith(".") or fname.startswith("__"):
            continue
        fullname = os.path.join(path, fname)
        fullurl = url + "/" + fname.replace(" ", "%20")
        if os.path.isdir(fullname):
            index.write(f'{indent}<p class="dir">{fname}</p><div class="dir">\n')
            traverse(fullname, fullurl, indent + "  ")
            index.write(f'{indent}</div>')
        else:
            server = viewer if os.path.splitext(fname)[1] == ".ipynb" else "http://"
            index.write(f'{indent}<p><a href="{server}{fullurl}">{fname}</a></p>\n')
        
traverse(".", "dajmi.fri.uni-lj.si/predavanja", "  ")
index.write("</body>\n</head>\n")
